package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.WareKeyWord;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/3/22.
 */
@DAO
public interface WareKeyWordDao {

    @Insert
    @Batch
    int[] insert(Connection con, WareKeyWord[] pkw) throws SQLException;

    @DeleteWith
    @From(WareKeyWord.class)
    int delete(Connection con, String id) throws SQLException;

}
