package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Answer;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2018/1/26.
 */
@ExtendView(fromSentence = "answer a LEFT JOIN question q on a.qid = q.id LEFT JOIN professor p on a.uid = p.id", tableAlias = "a")
public class AnswerInfo extends Answer {
    private String questionTitle;
    private String respondent;

    @CalcColumn(handlerClass = StringHandler.class,column = "q.title")
    public String getQuestionTitle() {
        return questionTitle;
    }

    public void setQuestionTitle(String questionTitle) {
        this.questionTitle = questionTitle;
    }

    @CalcColumn(handlerClass = StringHandler.class,column = "p.name")
    public String getRespondent() {
        return respondent;
    }

    public void setRespondent(String respondent) {
        this.respondent = respondent;
    }

}
