package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Ware;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2018/3/21.
 */
@ExtendView(fromSentence = "ware w LEFT JOIN professor p on p.id = w.owner LEFT JOIN organization o on o.id = w.owner ",tableAlias = "w")
public class WareInfo extends Ware {
    private String professorName;
    private String orgName;

    @CalcColumn(handlerClass = StringHandler.class, column = "p.name")
    public String getProfessorName() {
        return professorName;
    }

    public void setProfessorName(String professorName) {
        this.professorName = professorName;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
